# vim: set ts=4 sw=4 et:

%define _libdir %{_prefix}/lib

Name:           tunapie
Version:        2.1.18
Release:        3.4
Summary:        A directory browser for Internet radio and TV streams
URL:            http://tunapie.sourceforge.net/
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Other
Requires:       python-wxGTK
Source:         http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel python-wxGTK update-desktop-files
%if 0%{?suse_version} > 1130
BuildRequires:  wxWidgets-devel
%else
BuildRequires:  wxGTK-devel
%endif
BuildArch:      noarch

%description
TunaPie is a directory browser for Internet radio and TV streams. In theory it
should work on any UNIX-based system.

It has been tested on Linux and Max OS X. As of 0.9.6, it is compatible with
the Icecast directory as well as the Shoutcast (winamp) stream directory
service.

Tunapie allows you to search for streams and then launch your audio player
(XMMS) or NSV viewer (Mplayer) of choice. It also allows recording of audio and
video streams using streamripper.

%prep
%setup -q

%build
%__sed -i -e "s|tplogo.xpm/|tplogo/|g" tunapie.desktop
%__sed -i -e "s|/local/share/|/lib/|g" tunapie
%__sed -i -e "s|audacious|audacious2|g" src/tunapie2_main.py
%__python src/compile

%install
%__mkdir %{buildroot}/%{_sysconfdir}
echo '1'> %{buildroot}/%{_sysconfdir}/%{name}.config
%__mkdir -p %{buildroot}/%{_bindir}
%__cp %{name} %{buildroot}/%{_bindir}
%__mkdir -p %{buildroot}/%{_libdir}/%{name}
%__cp src/*.py src/*.pyc src/*.png %{buildroot}/%{_libdir}/%{name}
%__mkdir -p %{buildroot}/%{_datadir}/pixmaps
%__cp src/tplogo.xpm %{buildroot}/%{_datadir}/pixmaps/
%__mkdir -p %{buildroot}/%{_mandir}/man1
%__cp %{name}.1 %{buildroot}/%{_mandir}/man1
%__mkdir -p %{buildroot}/%{_datadir}/applications
%__cp %{name}.desktop %{buildroot}/%{_datadir}/applications

%suse_update_desktop_file -r %{name} AudioVideo Player

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tplogo.xpm
%{_prefix}/lib/%{name}
%config %{_sysconfdir}/%{name}.config
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- arch -> noarch
* Sat Aug 21 2010 detlef@links2linux.de
- new upstream version <2.1.18>
  * Fix recording problem with Icecast.
  * Add totem and amarok as optional players.
* Fri Jan  1 2010 detlef@links2linux.de
- fix desktop file
* Wed Dec 30 2009 detlef@links2linux.de
- use audacious2
* Sat Jul 18 2009 detlef@links2linux.de
- new upstream version <2.1.17>
  * Improve GUI responsiveness when playing radio stations
  * Fix security issue with use of os.system, commands and non-secure tempfiles
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <2.1.15>
  * Fix minimal wx version back to 2.6
* Sat Jan 31 2009 detlef@links2linux.de
- new upstream version <2.1.14>
  * Fix errors with wxGTK 2.8
  * Fix startup error if Geom file corrupted
* Sat Nov 15 2008 detlef@links2linux.de
- new upstream version <2.1.13>
- add shoutcast_url patch
  * Play icecast stations correctly
  * Fix bug where radiolist is not always refreshed correctly.
  * Revert to deprecated code in prefs as new version not supported by wxpython 2.6!
  * Fix icecast directory.
  * Fix deprecation warnings for wxpython 2.8
  * Fix problem with GUI breakage when right clicking before download finished.
  * Fix xcb_lock errors.
* Sun Jun  8 2008 detlef@links2linux.de
- new upstream version <2.1.8>
* Wed Apr 30 2008 detlef@links2linux.de
- new upstream version <2.1.6>
* Tue Jan 29 2008 detlef@links2linux.de
- initial release <2.1.5>
